std::ranges::zip_transform_view::end(3)

NAME
std::ranges::zip_transform_view::end - std::ranges::zip_transform_view::end

Synopsis
   constexpr auto end(); (1) (since C++23)
   constexpr auto end() const
       requires ranges::range<const /*InnerView*/> && (2) (since C++23)
                std::regular_invocable<const F&,
                    ranges::range_reference_t<const Views>...>;
   Returns an iterator or a sentinel that compares equal to the end iterator of the
   zip_transform_view.
   Let zip_ denote the underlying tuple of views:
   1) Equivalent to:
   if constexpr (ranges::common_range</*InnerView*/>)
       return /*iterator*/<false>(*this, zip_.end());
   else
       return /*sentinel*/<false>(zip_.end());
   2) Equivalent to:
   if constexpr (ranges::common_range<const /*InnerView*/>)
       return /*iterator*/<true>(*this, zip_.end());
   else
       return /*sentinel*/<true>(zip_.end());

Parameters
   (none)

Return value
   An iterator or sentinel representing the end of the zip_transform_view, as described
   above.

Example
    This section is incomplete
    Reason: no example

See also
   begin returns an iterator to the beginning
   (C++23) (public member function)
   ranges::end returns a sentinel indicating the end of a range
   (C++20) (customization point object)

Category:
     * Todo no example